Skip to main content
GET
/
groups
Retrieve a list of groups
curl --request GET \
  --url https://app.heyoo.ai/api/groups \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "count": 123,
    "createdAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

sortBy
enum<string>
default:name

The field to sort the groups by.

Available options:
name,
createdAt
sortOrder
enum<string>
default:asc

The order to sort the groups by.

Available options:
asc,
desc

The search term to filter the groups by.

ids

IDs of groups to filter by.

page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

A list of groups

id
string
required

The unique ID of the group.

name
string
required

The name of the group.

count
number
required

The number of users in the group.

createdAt
string
required

The creation date of the group.